Loading...
Searching...
No Matches
unity::shell::scopes::ValueSliderFilterInterface Class Referenceabstract
Inheritance diagram for unity::shell::scopes::ValueSliderFilterInterface:
[legend]
Collaboration diagram for unity::shell::scopes::ValueSliderFilterInterface:
[legend]

## Signals

void | valueChanged ()
void | valuesChanged ()
void | minValueChanged ()
void | maxValueChanged ()
Signals inherited from unity::shell::scopes::FilterBaseInterface
void | titleChanged ()

## Public Member Functions

FiltersInterface::FilterType | filterType () const override
virtual double | value () const =0
virtual void | setValue (double)=0
virtual double | minValue () const =0
virtual double | maxValue () const =0
virtual ValueSliderValuesInterface * | values () const =0
Public Member Functions inherited from unity::shell::scopes::FilterBaseInterface
virtual QString | filterId () const =0
virtual QString | title () const =0
virtual QString | filterTag () const =0

## Properties

double | value
unity::shell::scopes::ValueSliderValuesInterface * | values
double | minValue
double | maxValue
Properties inherited from unity::shell::scopes::FilterBaseInterface
QString | filterId
QString | title
unity::shell::scopes::FiltersInterface::FilterType | filterType

## Member Function Documentation

## filterType()

FiltersInterface::FilterType unity::shell::scopes::ValueSliderFilterInterface::filterType | ( |  | ) | const

inline override virtual

Implements unity::shell::scopes::FilterBaseInterface.

The documentation for this class was generated from the following file:

- include/unity/shell/scopes/ValueSliderFilterInterface.h